std::experimental::filesystem::path::iterator(3)

NAME
std::experimental::filesystem::path::iterator - An iterator for the components of a path.

SYNOPSIS

  Public Types
using difference_type = std::ptrdiff_t
using iterator_category = std::bidirectional_iterator_tag
using pointer = const path *
using reference = const path &
using value_type = path

  Public Member Functions
iterator (const iterator &)=default
reference operator* () const
iterator & operator++ ()
iterator operator++ (int)
iterator & operator-- ()
iterator operator-- (int)
pointer operator-> () const
iterator & operator= (const iterator &)=default

  Friends
bool operator!= (const iterator &__lhs, const iterator &__rhs)
bool operator== (const iterator &__lhs, const iterator &__rhs)
class path

Detailed Description

An iterator for the components of a path.

Definition at line 847 of file experimental/bits/fs_path.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.